Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# TAO_IMR_Op_Update Class Reference

Update Operation. More...

`#include <tao_imr_i.h>`

Inheritance diagram for TAO_IMR_Op_Update:

[legend]
Collaboration diagram for TAO_IMR_Op_Update:

[legend]
List of all members.

## Public Methods
| TAO_IMR_Op_Update (void)
| ~TAO_IMR_Op_Update (void)
virtual int | parse (int argc, ACE_TCHAR **argv)
| Parse arguments. More...
virtual int | run (void)
| Do the work. More...
## Protected Methods
void | setenv (ACE_TCHAR *opt)
| Sets one environment variable. More...
void | print_usage (void)
| Prints a message about the usage. More...
## Protected Attributes
ACE_TString | server_name_
| POA server name. More...
int | set_command_line_
| True if the command_line_ needs to be updated. More...
ACE_TString | command_line_
| Startup command. More...
int | set_environment_vars_
| True if the environment_vars_ needs to be updated. More...
int | set_working_dir_
| True if the working_dir_ needs to be updated. More...
ImplementationRepository::EnvironmentList | environment_vars_
| Environment Variables. More...
ACE_TString | working_dir_
| Working directory. More...
int | set_activation_
| True if the activation mode needs to be updated. More...
ImplementationRepository::ActivationMode | activation_
| Activation mode (0 = NORMAL, 1 = MANUAL, 2 = PER_CLIENT, 3 = AUTO_START). More...

## Detailed Description

Update Operation.

Update is used to update the information for a server registered with the IMR.

## Constructor & Destructor Documentation

TAO_IMR_Op_Update::TAO_IMR_Op_Update | ( | void |  | ) |

TAO_IMR_Op_Update::~TAO_IMR_Op_Update | ( | void |  | ) |

## Member Function Documentation

int TAO_IMR_Op_Update::parse | ( | int | argc,
|  | ACE_TCHAR ** | argv
| ) | `[virtual]`

| Parse arguments. Reimplemented from TAO_IMR_Op.

void TAO_IMR_Op_Update::print_usage | ( | void |  | ) | `[protected]`

| Prints a message about the usage.

int TAO_IMR_Op_Update::run | ( | void |  | ) | `[virtual]`

| Do the work. Reimplemented from TAO_IMR_Op.

void TAO_IMR_Op_Update::setenv | ( | ACE_TCHAR * | opt | ) | `[protected]`

| Sets one environment variable.

## Member Data Documentation

ImplementationRepository::ActivationMode TAO_IMR_Op_Update::activation_`[protected]`

| Activation mode (0 = NORMAL, 1 = MANUAL, 2 = PER_CLIENT, 3 = AUTO_START).

ACE_TString TAO_IMR_Op_Update::command_line_`[protected]`

| Startup command.

ImplementationRepository::EnvironmentList TAO_IMR_Op_Update::environment_vars_`[protected]`

| Environment Variables.

ACE_TString TAO_IMR_Op_Update::server_name_`[protected]`

| POA server name.

int TAO_IMR_Op_Update::set_activation_`[protected]`

| True if the activation mode needs to be updated.

int TAO_IMR_Op_Update::set_command_line_`[protected]`

| True if the command_line_ needs to be updated.

int TAO_IMR_Op_Update::set_environment_vars_`[protected]`

| True if the environment_vars_ needs to be updated.

int TAO_IMR_Op_Update::set_working_dir_`[protected]`

| True if the working_dir_ needs to be updated.

ACE_TString TAO_IMR_Op_Update::working_dir_`[protected]`

| Working directory.

The documentation for this class was generated from the following files:

- tao_imr_i.h
- tao_imr_i.cpp